function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

export var EventKeys;

(function (EventKeys) {
  EventKeys["MSG"] = "msg";
  EventKeys["GRO"] = "groupResDataObj";
})(EventKeys || (EventKeys = {}));

var EventEmit = /*#__PURE__*/function () {
  function EventEmit() {
    _classCallCheck(this, EventEmit);

    this.list = {};
  }
  /**
   * 订阅模块
   * @param key
   * @param fn
   */


  _createClass(EventEmit, [{
    key: "sub",
    value: function sub(key, fn) {
      if (!this.list[key]) {
        this.list[key] = [];
      }

      this.list[key].push(fn);
    }
    /**
     * 发布模块
     */

  }, {
    key: "pub",
    value: function pub(key, msg) {
      var fns = this.list[key];
      if (!fns || fns.length === 0) return false;
      fns.forEach(function (cd) {
        cd(msg);
      });
    }
    /**
     * 取消订阅
     * @param key
     * @param fn
     */

  }, {
    key: "destory",
    value: function destory(key, fn) {
      var fns = this.list[key];
      if (!fns) return false;

      if (!fn) {
        // eslint-disable-next-line no-unused-expressions
        fns && (fns.length = 0);
      } else {
        fns.forEach(function (cd, i) {
          if (cd === fn) {
            fns.splice(i, 1);
          }
        });
      }
    }
  }]);

  return EventEmit;
}();

export default new EventEmit();