function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

var __rest = this && this.__rest || function (s, e) {
  var t = {};

  for (var p in s) {
    if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0) t[p] = s[p];
  }

  if (s != null && typeof Object.getOwnPropertySymbols === "function") for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
    if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i])) t[p[i]] = s[p[i]];
  }
  return t;
};

import React from 'react';
import { Radio } from 'antd';
import classnames from 'classnames';

var SSRadioGroup = function SSRadioGroup(props) {
  var className = props.className,
      vertical = props.vertical,
      children = props.children,
      reset = __rest(props, ["className", "vertical", "children"]);

  var GroupParams = _extends({
    className: classnames('ss-radio-group', {
      'ss-radio-group-vertical': vertical
    }, className)
  }, reset);

  return /*#__PURE__*/React.createElement(Radio.Group, GroupParams, children);
};

export default SSRadioGroup;