function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

/**
 * ############################################################################
 * # ModuleName: Radio 单选框
 * # catalog: 数据录入组件
 * # updateTime: 2020-12-11
 * # auth: Davis
 * ############################################################################
 * # Component API新增或修改:
 * # className  自定义class名称    @type{string}       @default[ss-Radio-wrap]
 *
 * # Radio.Group
 * # vertical   是否垂直显示       @type{boolean}      @default[false]
 *
 * # Radio.Button
 *
 * ############################################################################
 * */
var __rest = this && this.__rest || function (s, e) {
  var t = {};

  for (var p in s) {
    if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0) t[p] = s[p];
  }

  if (s != null && typeof Object.getOwnPropertySymbols === "function") for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
    if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i])) t[p[i]] = s[p[i]];
  }
  return t;
};

import React from 'react';
import { Radio } from 'antd';
import classnames from 'classnames';
import Group from './Group';

var SSRadio = function SSRadio(props) {
  var className = props.className,
      reset = __rest(props, ["className"]);

  var RadioParams = _extends({
    className: classnames('ss-Radio-wrap', className)
  }, reset);

  return /*#__PURE__*/React.createElement(Radio, RadioParams);
};

SSRadio.Group = Group;
SSRadio.Button = Radio.Button;
export default SSRadio;