function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

function _createSuper(Derived) { var hasNativeReflectConstruct = _isNativeReflectConstruct(); return function _createSuperInternal() { var Super = _getPrototypeOf(Derived), result; if (hasNativeReflectConstruct) { var NewTarget = _getPrototypeOf(this).constructor; result = Reflect.construct(Super, arguments, NewTarget); } else { result = Super.apply(this, arguments); } return _possibleConstructorReturn(this, result); }; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _isNativeReflectConstruct() { if (typeof Reflect === "undefined" || !Reflect.construct) return false; if (Reflect.construct.sham) return false; if (typeof Proxy === "function") return true; try { Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function () {})); return true; } catch (e) { return false; } }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

var __rest = this && this.__rest || function (s, e) {
  var t = {};

  for (var p in s) {
    if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0) t[p] = s[p];
  }

  if (s != null && typeof Object.getOwnPropertySymbols === "function") for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
    if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i])) t[p[i]] = s[p[i]];
  }
  return t;
};

import React, { Component, createRef } from 'react';
import { Slider } from 'antd';
import classnames from 'classnames';

var SS_Slider = /*#__PURE__*/function (_Component) {
  _inherits(SS_Slider, _Component);

  var _super = _createSuper(SS_Slider);

  function SS_Slider() {
    var _this;

    _classCallCheck(this, SS_Slider);

    _this = _super.apply(this, arguments);
    _this.sliderPart = /*#__PURE__*/createRef(); // state value

    _this.state = {
      defaultValue: _this.props.defaultValue
    };
    return _this;
  }

  _createClass(SS_Slider, [{
    key: "componentDidMount",
    value: function componentDidMount() {
      this.defaultValueHandle(); // 处理marks不存在0和100的情况

      this.handleMarks(); // 彩虹主题时，执行渐变计算,默认执行一次

      this.rainbowTheme(this.state.defaultValue);
    } // 多场景判断defaultValue的值

  }, {
    key: "defaultValueHandle",
    value: function defaultValueHandle() {
      var _this$props = this.props,
          defaultValue = _this$props.defaultValue,
          range = _this$props.range,
          min = _this$props.min,
          max = _this$props.max;
      var _defaultValue = 0;

      if (range) {
        _defaultValue = defaultValue || [0, 0];
      } else {
        _defaultValue = defaultValue || 0;
      }

      if (min && max) {
        _defaultValue = defaultValue || min;
      }

      this.setState({
        defaultValue: _defaultValue
      });
    } // 彩虹主题滑块渐变计算

  }, {
    key: "rainbowTheme",
    value: function rainbowTheme(value) {
      if (this.props.theme === 'rainbow') {
        console.log(value); // const colorList: any[] = gradient(value, this.props);
        // // @ts-ignore
        // const { handlesRefs }: any = this.sliderPart.current.rcSlider;
        // Object.keys(handlesRefs).forEach((handel: any) => {
        //   const elem = handlesRefs[handel];
        //   elem.handle.style.backgroundColor = colorList[handel].handelColor;
        // });
      }
    } // 滑动时，gradient负责计算滑块的rgb值

  }, {
    key: "sliderChange",
    value: function sliderChange(value) {
      // 彩虹主题时，执行渐变计算
      this.rainbowTheme(value);
    } // 处理marks不存在0和100的情况

  }, {
    key: "handleMarks",
    value: function handleMarks() {
      var marks = this.props.marks;

      if (marks) {
        if (!marks[0]) {
          // eslint-disable-next-line no-void
          marks[0] = void 0;
        }

        if (!marks[100]) {
          // eslint-disable-next-line no-void
          marks[100] = void 0;
        }
      }
    }
  }, {
    key: "render",
    value: function render() {
      var _a = this.props,
          className = _a.className,
          theme = _a.theme,
          reset = __rest(_a, ["className", "theme"]);

      return (
        /*#__PURE__*/
        // @ts-ignore
        React.createElement(Slider, _extends({
          ref: this.sliderPart,
          className: classnames('ss-slider', className, {
            'ss-slider-rainbow': theme === 'rainbow'
          }),
          onChange: this.sliderChange.bind(this)
        }, reset))
      );
    }
  }]);

  return SS_Slider;
}(Component); // default value


SS_Slider.defaultProps = {
  theme: 'common',
  defaultValue: 0,
  min: 0,
  max: 100
};
export default SS_Slider;