function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

var __rest = this && this.__rest || function (s, e) {
  var t = {};

  for (var p in s) {
    if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0) t[p] = s[p];
  }

  if (s != null && typeof Object.getOwnPropertySymbols === "function") for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
    if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i])) t[p[i]] = s[p[i]];
  }
  return t;
};

import React from 'react';
import { Transfer, ConfigProvider } from 'antd';
import classNames from 'classnames';
import SS_Empty from '../empty';

function SS_Transfer(props) {
  var className = props.className,
      renderEmptyNode = props.renderEmptyNode,
      children = props.children,
      reset = __rest(props, ["className", "renderEmptyNode", "children"]);

  return (
    /*#__PURE__*/
    // @ts-ignore
    // eslint-disable-next-line react/jsx-pascal-case
    React.createElement(ConfigProvider, {
      renderEmpty: function renderEmpty() {
        return renderEmptyNode || /*#__PURE__*/React.createElement(SS_Empty, null);
      }
    }, /*#__PURE__*/React.createElement(Transfer, _extends({
      className: classNames('ss-transfer', className)
    }, reset), children))
  );
}

export default SS_Transfer;