function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

var __rest = this && this.__rest || function (s, e) {
  var t = {};

  for (var p in s) {
    if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0) t[p] = s[p];
  }

  if (s != null && typeof Object.getOwnPropertySymbols === "function") for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
    if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i])) t[p[i]] = s[p[i]];
  }
  return t;
};

import React from 'react';
import classNames from 'classnames';
import { Tree } from 'antd';
var TreeNode = Tree.TreeNode; // basic主题自定义switcher icon

function BasicSwitcherIconRender(props) {
  var basicSwitcherIcon = props.basicSwitcherIcon;
  return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement("span", {
    className: "ss-switcher-icon-open"
  }, basicSwitcherIcon.open || /*#__PURE__*/React.createElement("span", {
    className: "sumscope-icon"
  }, "\uE768")), /*#__PURE__*/React.createElement("span", {
    className: "ss-switcher-icon-close"
  }, basicSwitcherIcon.close || /*#__PURE__*/React.createElement("span", {
    className: "sumscope-icon"
  }, "\uE769")));
}

function SS_Tree(props) {
  var className = props.className,
      switcherIcon = props.switcherIcon,
      basicSwitcherIcon = props.basicSwitcherIcon,
      children = props.children,
      reset = __rest(props, ["className", "switcherIcon", "basicSwitcherIcon", "children"]);

  var _switcherIcon;

  if (switcherIcon) {
    _switcherIcon = switcherIcon;
  }

  if (basicSwitcherIcon) {
    _switcherIcon = /*#__PURE__*/React.createElement(BasicSwitcherIconRender, {
      basicSwitcherIcon: basicSwitcherIcon
    });
  }

  return (
    /*#__PURE__*/
    // @ts-ignore
    React.createElement(Tree, _extends({
      className: classNames('ss-tree', className),
      switcherIcon: _switcherIcon
    }, reset), children)
  );
}

SS_Tree.TreeNode = TreeNode;
export default SS_Tree;