declare const _default: {
    title: {
        text: string;
        textStyle: {
            color: string;
            fontSize: number;
        };
        left: string;
    };
    legend: {
        top: number;
        left: string;
        padding: number[];
        itemWidth: number;
        itemHeight: number;
        inactiveColor: string;
        textStyle: {
            color: string;
        };
    };
    tooltip: {
        trigger: string;
        axisPointer: {
            lineStyle: {
                color: string;
                type: string;
            };
        };
        backgroundColor: string;
        borderColor: string;
        borderWidth: number;
        textStyle: {
            color: string;
            fontSize: number;
        };
        extraCssText: string;
    };
    grid: {
        top: number;
    };
    xAxis: {
        z: number;
        axisLine: {
            lineStyle: {
                color: string;
            };
        };
        axisTick: {
            show: boolean;
        };
        axisLabel: {
            margin: number;
            color: string;
        };
        splitLine: {
            show: boolean;
            lineStyle: {
                color: string;
            };
        };
        splitArea: {
            show: boolean;
            areaStyle: {
                color: string[];
            };
        };
        data: string[];
    };
    yAxis: {
        z: number;
        axisLine: {
            lineStyle: {
                color: string;
            };
        };
        axisTick: {
            show: boolean;
        };
        axisLabel: {
            margin: number;
            color: string;
        };
        splitLine: {
            show: boolean;
            lineStyle: {
                color: string;
            };
        };
    };
    dataZoom: {
        type: string;
        showDetail: boolean;
        backgroundColor: string;
        height: number;
        dataBackground: {
            lineStyle: {
                color: string;
                width: number;
                opacity: number;
            };
            areaStyle: {
                color: string;
            };
        };
        fillerColor: string;
        borderColor: string;
        handleIcon: string;
        handleStyle: {
            color: string;
        };
        handleSize: string;
    }[];
    series: {
        type: string;
        showSymbol: boolean;
        symbolSize: number;
        itemStyle: {
            color: string;
        };
        emphasis: {
            itemStyle: {
                color: string;
            };
        };
        data: number[];
    }[];
};
export default _default;
