/// <reference types="react" />
declare const _default: {
    color: string[];
    title: {
        text: string;
        textStyle: {
            color: string;
            fontSize: number;
        };
        left: string;
    };
    legend: {
        show: boolean;
        orient: string;
        y: string;
        x: string;
        itemWidth: number;
        itemHeight: number;
        inactiveColor: string;
        textStyle: {
            color: string;
        };
    };
    tooltip: {
        axisPointer: {
            lineStyle: {
                color: string;
                type: string;
            };
        };
        backgroundColor: string;
        borderColor: string;
        borderWidth: number;
        textStyle: {
            color: string;
            fontSize: number;
        };
        extraCssText: string;
    };
    series: {
        name: string;
        type: string;
        radius: import("react").ReactText[];
        center: string[];
        labelLine: {
            show: boolean;
            length: number;
            length2: number;
        };
        emphasis: {
            itemStyle: {
                shadowBlur: number;
                shadowOffsetX: number;
                shadowColor: string;
            };
        };
    }[];
};
/**
 * defaultOption配置，UI设计需求默认外观
 * @type {Object}
 */
export default _default;
