"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

/*
 * @Author Davis.qi
 * @Date 2020/8/25
 * */
var colorList = ['rgb(255,0,0)', 'rgb(255,128,0)', 'rgb(255,255,0)', 'rgb(128,255,0)', 'rgb(0,255,0)', 'rgb(0,255,128)', 'rgb(0,255,255)', 'rgb(0,128,255)', 'rgb(0,0,255)'];
var valMax = 100;

var gradient = function gradient(value) {
  var valueList = typeof value === 'number' ? [value] : value;
  var valueRange = valMax / colorList.length;
  var result = valueList.map(function (item) {
    return {
      value: item,
      valueRange: valueRange,
      data: Math.floor(item / valueRange),
      color: colorList[Math.floor(item / valueRange) > colorList.length - 1 ? colorList.length - 1 : Math.floor(item / valueRange)]
    };
  });
  return result;
};

var _default = gradient;
exports["default"] = _default;