/**
 * ##################################################################
 * # ModuleName: Alert 警示提示
 * # catalog: 反馈组件
 * # updateTime: 2020-12-11
 * # auth: Davis
 * #################################################################
 * # Component API新增或修改:
 * # className  自定义class名称    @type{string}       @default[ss-alert]
 * # icon       自定义图标         @type{string|ReactNode}      @default[]
 * # closeText  自定义关闭按钮     @type{string|ReactNode}      @default[]
 * ##################################################################
 * */
import React from 'react';
import { AlertProps } from 'antd/lib/alert';
interface SSAlertProps extends AlertProps {
    className?: string;
    icon?: string | React.ReactNode;
    closeText?: string | React.ReactNode;
}
declare const SSAlert: React.FC<SSAlertProps>;
export default SSAlert;
