import React from 'react';
declare type PanelProps = {
    className?: string;
    placement: string;
    animated?: boolean;
    defaultopen?: number;
    onBtnClick?: any;
    onOpen?: any;
    onClose?: any;
};
declare class DrawerPanel extends React.PureComponent<PanelProps, any> {
    static defaultProps: {
        animated: boolean;
        defaultopen: number;
        placement: string;
    };
    state: {
        open: boolean;
        allowIconStr: string;
    };
    placementPadClass: () => {
        pad: string;
        place: string;
    };
    /**
     * 切换显示内容区域
     *
     * */
    toggleContent: () => void;
    /**
     * 箭头icon方向判别
     *
     * */
    allowIcon: () => void;
    componentDidMount(): void;
    render(): JSX.Element;
}
export default DrawerPanel;
