"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _antd = require("antd");

var _classnames = _interopRequireDefault(require("classnames"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

var __rest = void 0 && (void 0).__rest || function (s, e) {
  var t = {};

  for (var p in s) {
    if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0) t[p] = s[p];
  }

  if (s != null && typeof Object.getOwnPropertySymbols === "function") for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
    if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i])) t[p[i]] = s[p[i]];
  }
  return t;
};
/**
 * ##################################################################
 * # ModuleName: Dropdown 下拉菜单
 * # catalog: 导航组件
 * # updateTime: 2020-12-11
 * # auth: Davis
 * #################################################################
 * # Component API新增或修改:
 * # className          自定义class名称    @type{string}       @default[ss-btn]
 * ##################################################################
 * */


var SSDropDown = function SSDropDown(props) {
  var className = props.className,
      overlayClassName = props.overlayClassName,
      children = props.children,
      reset = __rest(props, ["className", "overlayClassName", "children"]);

  return /*#__PURE__*/_react["default"].createElement(_antd.Dropdown, _extends({
    className: (0, _classnames["default"])('ss-dropdown', className),
    overlayClassName: (0, _classnames["default"])('ss-dropdown-overlay', overlayClassName)
  }, reset), children);
};

var _default = SSDropDown;
exports["default"] = _default;