/**
 * ################################################################################
 * # ModuleName: Menu 菜单
 * # catalog: 导航组件
 * # updateTime: 2020-12-11
 * # auth: Davis
 * ################################################################################
 * # Component API新增或修改:
 * # className    自定义class名称            @type{string}       @default[ss-btn]
 * # dataSource   数据配置项                 @type{object[]}     @default[]
 * # show         每层结构都有，是否需要
 *                显示                      @type{object[]}     @default[]
 * # group        dataSource存在时生效，
 *                需要渲染GroupItem时添加     @type{object[]}     @default[]
 * #################################################################################
 * */
import React from 'react';
import { MenuProps } from 'antd/lib/menu';
interface SSMenuProps extends MenuProps {
    className: string;
    dataSource: object[];
}
declare class SSMenu extends React.PureComponent<SSMenuProps, any> {
    static Item: React.ComponentProps<any>;
    static SubMenu: React.ComponentProps<any>;
    static ItemGroup: React.ComponentProps<any>;
    /**
     * GroupItem dataSource dom render
     *
     * */
    private GroupItemRender;
    /**
     * dataSource dom render
     *
     * */
    private menuItemRender;
    render(): JSX.Element;
}
export default SSMenu;
