"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _classnames = _interopRequireDefault(require("classnames"));

var _antd = require("antd");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

var __rest = void 0 && (void 0).__rest || function (s, e) {
  var t = {};

  for (var p in s) {
    if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0) t[p] = s[p];
  }

  if (s != null && typeof Object.getOwnPropertySymbols === "function") for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
    if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i])) t[p[i]] = s[p[i]];
  }
  return t;
};

var TreeNode = _antd.Tree.TreeNode; // basic主题自定义switcher icon

function BasicSwitcherIconRender(props) {
  var basicSwitcherIcon = props.basicSwitcherIcon;
  return /*#__PURE__*/_react["default"].createElement(_react["default"].Fragment, null, /*#__PURE__*/_react["default"].createElement("span", {
    className: "ss-switcher-icon-open"
  }, basicSwitcherIcon.open || /*#__PURE__*/_react["default"].createElement("span", {
    className: "sumscope-icon"
  }, "\uE768")), /*#__PURE__*/_react["default"].createElement("span", {
    className: "ss-switcher-icon-close"
  }, basicSwitcherIcon.close || /*#__PURE__*/_react["default"].createElement("span", {
    className: "sumscope-icon"
  }, "\uE769")));
}

function SS_Tree(props) {
  var className = props.className,
      switcherIcon = props.switcherIcon,
      basicSwitcherIcon = props.basicSwitcherIcon,
      children = props.children,
      reset = __rest(props, ["className", "switcherIcon", "basicSwitcherIcon", "children"]);

  var _switcherIcon;

  if (switcherIcon) {
    _switcherIcon = switcherIcon;
  }

  if (basicSwitcherIcon) {
    _switcherIcon = /*#__PURE__*/_react["default"].createElement(BasicSwitcherIconRender, {
      basicSwitcherIcon: basicSwitcherIcon
    });
  }

  return (
    /*#__PURE__*/
    // @ts-ignore
    _react["default"].createElement(_antd.Tree, _extends({
      className: (0, _classnames["default"])('ss-tree', className),
      switcherIcon: _switcherIcon
    }, reset), children)
  );
}

SS_Tree.TreeNode = TreeNode;
var _default = SS_Tree;
exports["default"] = _default;