declare const _default: {
    color: string[];
    title: {
        text: string;
        textStyle: {
            color: string;
            fontSize: number;
        };
        left: string;
    };
    legend: {
        bottom: number;
        itemWidth: number;
        itemHeight: number;
        inactiveColor: string;
        textStyle: {
            color: string;
        };
    };
    tooltip: {
        backgroundColor: string;
        borderColor: string;
        borderWidth: number;
        textStyle: {
            color: string;
            fontSize: number;
        };
        extraCssText: string;
    };
    angleAxis: {
        min(value: any): number;
        max(value: any): number;
        axisLine: {
            show: boolean;
        };
        axisTick: {
            show: boolean;
        };
        splitLine: {
            show: boolean;
        };
        axisLabel: {
            show: boolean;
        };
    };
    radiusAxis: {
        z: number;
        axisLine: {
            show: boolean;
        };
        axisTick: {
            show: boolean;
        };
        axisLabel: {
            show: boolean;
            margin: number;
            fontSize: number;
            textStyle: {
                color: string;
            };
            interval: number;
        };
    };
    polar: {
        center: string[];
    };
    series: {
        type: string;
        coordinateSystem: string;
        barWidth: number;
    }[];
};
/**
 * defaultOption配置，UI设计需求默认外观
 * @type {Object}
 */
export default _default;
