declare const _default: {
    title: {
        text: string;
        textStyle: {
            color: string;
            fontSize: number;
        };
        left: string;
    };
    legend: {
        show: boolean;
        orient: string;
        y: string;
        x: string;
        itemWidth: number;
        itemHeight: number;
        inactiveColor: string;
        textStyle: {
            color: string;
        };
    };
    tooltip: {
        backgroundColor: string;
        borderColor: string;
        borderWidth: number;
        textStyle: {
            color: string;
            fontSize: number;
        };
        extraCssText: string;
    };
    grid: {
        top: number;
    };
    radar: {
        name: {
            textStyle: {
                color: string;
            };
        };
        textStyle: {
            color: string;
        };
        nameGap: number;
        shape: string;
        axisLine: {
            lineStyle: {
                color: string[];
            };
        };
        axisLabel: {
            color: string;
        };
        splitLine: {
            lineStyle: {
                color: string;
            };
        };
        splitArea: {
            areaStyle: {
                color: string[];
            };
        };
    };
    series: {
        type: string;
        showDetail: boolean;
        backgroundColor: string;
        height: number;
        dataBackground: {
            lineStyle: {
                color: string;
                width: number;
                opacity: number;
            };
            areaStyle: {
                color: string;
            };
        };
        fillerColor: string;
        borderColor: string;
        handleIcon: string;
        handleStyle: {
            color: string;
        };
        handleSize: string;
    }[];
};
export default _default;
