function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

var __rest = this && this.__rest || function (s, e) {
  var t = {};

  for (var p in s) {
    if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0) t[p] = s[p];
  }

  if (s != null && typeof Object.getOwnPropertySymbols === "function") for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
    if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i])) t[p[i]] = s[p[i]];
  }
  return t;
};
/**
 * ##################################################################
 * # ModuleName: Layout 布局
 * # catalog: 布局组件
 * # updateTime: 2020-12-11
 * # auth: Davis
 * #################################################################
 * # Component API新增或修改:
 * # 暂无
 * ##################################################################
 * */


import React from 'react';
import { Layout } from 'antd';
import classnames from 'classnames';
var Header = Layout.Header,
    Footer = Layout.Footer,
    Sider = Layout.Sider,
    Content = Layout.Content;

var SSLayout = function SSLayout(props) {
  var className = props.className,
      children = props.children,
      reset = __rest(props, ["className", "children"]);

  return /*#__PURE__*/React.createElement(Layout, _extends({
    className: classnames('ss-layout', className)
  }, reset), children);
};

SSLayout.Header = Header;
SSLayout.Footer = Footer;
SSLayout.Sider = Sider;
SSLayout.Content = Content;
export default SSLayout;