/**
 * ############################################################################################
 * # ModuleName: Popconfirm 气泡确认框
 * # catalog: 反馈组件
 * # updateTime: 2020-12-11
 * # auth: Davis
 * ############################################################################################
 * # Component API新增或修改:
 * # overlayClassName   提示框容器的自定义class      @type{string}               @default[ss-popover]
 * # icon               自定义弹出气泡 Icon 图标     @type{string}               @default[]
 * # width              气泡框的width定义           @type{number | string}      @default[300]
 * #############################################################################################
 * */
import 'antd/es/popconfirm/style/index';
import React from 'react';
import { PopconfirmProps } from 'antd/lib/popconfirm';
interface SSPopconfirmProps extends PopconfirmProps {
    overlayClassName?: string;
    icon?: string;
    width?: number | string;
}
declare const SSPopconfirm: React.FC<SSPopconfirmProps>;
export default SSPopconfirm;
