import React from 'react';
import { SliderProps } from 'antd/lib/slider';
interface SSSliderProps extends SliderProps {
    theme?: string;
    className?: string;
    onChange?: any;
    min?: number;
    max?: number;
    value?: any;
    defaultValue?: any;
}
declare class SSSlider extends React.PureComponent<SSSliderProps, any> {
    private silderRef;
    constructor(props: SSSliderProps);
    componentDidMount(): void;
    /**
     * 彩虹主题滑动条的rgb颜色计算获取
     *
     * */
    rainbowThemeCalc: (val: number | [number]) => void;
    /**
     *当 Slider 的值发生改变时，会触发 onChange 事件
     *
     * */
    sliderChange: (value: number | [number]) => void;
    render(): JSX.Element;
}
export default SSSlider;
