function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

var __rest = this && this.__rest || function (s, e) {
  var t = {};

  for (var p in s) {
    if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0) t[p] = s[p];
  }

  if (s != null && typeof Object.getOwnPropertySymbols === "function") for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
    if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i])) t[p[i]] = s[p[i]];
  }
  return t;
};

import React from 'react';
import classNames from 'classnames';
import { Tabs } from 'antd';
var TabPane = Tabs.TabPane;

function SS_Tabs(props) {
  var className = props.className,
      dataSource = props.dataSource,
      theme = props.theme,
      centered = props.centered,
      reset = __rest(props, ["className", "dataSource", "theme", "centered"]);

  return /*#__PURE__*/React.createElement(Tabs, _extends({
    className: classNames(className, {
      'ss-tabs': theme === 'ss',
      'ss-tabs-center': centered
    })
  }, reset), dataSource.map(function (item) {
    return /*#__PURE__*/React.createElement(TabPane, {
      key: item.key,
      tab: item.tab,
      disabled: item.disabled
    }, item.render);
  }));
}

SS_Tabs.defaultProps = {
  dataSource: [],
  animated: false
};
export default SS_Tabs;