/**
 * ##################################################################
 * # ModuleName: Button 按钮
 * # catalog: 通用组件
 * # updateTime: 2020-12-11
 * # auth: Davis
 * #################################################################
 * # Component API新增或修改:
 * # className  自定义class名称    @type{string}       @default[ss-btn]
 * # basic      深绿色主题         @type{boolean}      @default[false]
 * # yellow     温暖主题           @type{boolean}      @default[false]
 * # error      错误主题           @type{boolean}      @default[false]
 * # gray       灰色主题           @type{boolean}      @default[false]
 * # icon       内置图标           @type{string}       @default[]
 * ##################################################################
 * */
import React from 'react';
import { ButtonProps } from 'antd/lib/button';
interface SSButtonProps extends ButtonProps {
    className?: string;
    basic?: boolean;
    yellow?: boolean;
    error?: boolean;
    gray?: boolean;
    icon?: string;
}
declare const SSButton: React.FC<SSButtonProps>;
export default SSButton;
