"use strict";

function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _antd = require("antd");

var _classnames = _interopRequireDefault(require("classnames"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

function _createSuper(Derived) { var hasNativeReflectConstruct = _isNativeReflectConstruct(); return function _createSuperInternal() { var Super = _getPrototypeOf(Derived), result; if (hasNativeReflectConstruct) { var NewTarget = _getPrototypeOf(this).constructor; result = Reflect.construct(Super, arguments, NewTarget); } else { result = Super.apply(this, arguments); } return _possibleConstructorReturn(this, result); }; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _isNativeReflectConstruct() { if (typeof Reflect === "undefined" || !Reflect.construct) return false; if (Reflect.construct.sham) return false; if (typeof Proxy === "function") return true; try { Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function () {})); return true; } catch (e) { return false; } }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

var __rest = void 0 && (void 0).__rest || function (s, e) {
  var t = {};

  for (var p in s) {
    if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0) t[p] = s[p];
  }

  if (s != null && typeof Object.getOwnPropertySymbols === "function") for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
    if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i])) t[p[i]] = s[p[i]];
  }
  return t;
};

// eslint-disable-next-line react/prefer-stateless-function
var SS_Form = /*#__PURE__*/function (_React$Component) {
  _inherits(SS_Form, _React$Component);

  var _super = _createSuper(SS_Form);

  function SS_Form() {
    _classCallCheck(this, SS_Form);

    return _super.apply(this, arguments);
  }

  _createClass(SS_Form, [{
    key: "render",
    value: function render() {
      var _a = this.props,
          className = _a.className,
          children = _a.children,
          reset = __rest(_a, ["className", "children"]);

      return /*#__PURE__*/_react["default"].createElement(_antd.Form, _extends({
        className: (0, _classnames["default"])('ss-form', className)
      }, reset), children);
    }
  }]);

  return SS_Form;
}(_react["default"].Component); // help dom


function Help(props) {
  var error;

  if (props.field && props.field.errors && props.field.errors.length) {
    error = props.field.errors[props.field.errors.length - 1].message;
  }

  return /*#__PURE__*/_react["default"].createElement("div", {
    className: "ss-form-help"
  }, error && /*#__PURE__*/_react["default"].createElement("span", {
    className: "sumscope-icon"
  }, "\uE841"), /*#__PURE__*/_react["default"].createElement("span", null, error));
} // eslint-disable-next-line react/prefer-stateless-function


var SS_Form_Item = /*#__PURE__*/function (_React$Component2) {
  _inherits(SS_Form_Item, _React$Component2);

  var _super2 = _createSuper(SS_Form_Item);

  function SS_Form_Item() {
    _classCallCheck(this, SS_Form_Item);

    return _super2.apply(this, arguments);
  }

  _createClass(SS_Form_Item, [{
    key: "render",
    value: function render() {
      var _a = this.props,
          className = _a.className,
          children = _a.children,
          help = _a.help,
          reset = __rest(_a, ["className", "children", "help"]); // 指明field name
      // @ts-ignore


      var field = this.props.children && this.props.children.props && this.props.children.props["data-__field"] ? this.props.children.props["data-__field"] : undefined;
      return /*#__PURE__*/_react["default"].createElement(_antd.Form.Item, _extends({
        help: help || /*#__PURE__*/_react["default"].createElement(Help, {
          field: field
        }),
        className: (0, _classnames["default"])('ss-form', className)
      }, reset), children);
    }
  }]);

  return SS_Form_Item;
}(_react["default"].Component); // function SS_Form_Item (props: FormItemProps) {
//   const {className, help, children, ...reset} = props;
//
//   // help dom
//   const Help = () => <div>2312312</div>
//
//   return (
//     <Form.Item
//       help={help || <Help />}
//       className={classNames('ss-form', className)}
//       {...reset}
//     >
//       {children}
//     </Form.Item>
//   )
// }
// Form create fn


SS_Form.create = _antd.Form.create;
SS_Form.Item = SS_Form_Item;
var _default = SS_Form;
exports["default"] = _default;