"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _classnames = _interopRequireDefault(require("classnames"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

/**
 * ##################################################################
 * # ModuleName: Icon 图标
 * # catalog: 通用组件
 * # updateTime: 2020-12-11
 * # auth: Davis
 * #################################################################
 * # Component API新增或修改:
 * # className  自定义class名称        @type{string}           @default[ss-icon-item]
 * # value      icon 的 unicode 值    @type{string}           @default[]
 * # fontSize   icon 大小自定义        @type{string | number}  @default[12]
 * # color      icon 颜色自定义        @type{string}           @default[]
 * ##################################################################
 * */
var __rest = void 0 && (void 0).__rest || function (s, e) {
  var t = {};

  for (var p in s) {
    if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0) t[p] = s[p];
  }

  if (s != null && typeof Object.getOwnPropertySymbols === "function") for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
    if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i])) t[p[i]] = s[p[i]];
  }
  return t;
};

var SSIcon = function SSIcon(props) {
  var className = props.className,
      value = props.value,
      fontSize = props.fontSize,
      color = props.color,
      reset = __rest(props, ["className", "value", "fontSize", "color"]);

  var style = {
    fontSize: typeof fontSize === 'string' ? fontSize : "".concat(fontSize, "px"),
    color: color
  };

  var IconParams = _extends({
    className: (0, _classnames["default"])('sumscope-icon icon-ss-item', className),
    style: style
  }, reset);

  return /*#__PURE__*/_react["default"].createElement("span", IconParams, value);
};

var _default = SSIcon;
exports["default"] = _default;