export declare enum EventKeys {
    MSG = "msg",
    GRO = "groupResDataObj"
}
interface Events {
    sub(key: string, fn: Function): void;
    pub(keys: string, msg?: unknown): void;
    destory(key: string, fn: Function): void;
}
declare class EventEmit implements Events {
    private list;
    /**
     * 订阅模块
     * @param key
     * @param fn
     */
    sub(key: string, fn: Function): void;
    /**
     * 发布模块
     */
    pub(key: string, msg?: any): false | undefined;
    /**
     * 取消订阅
     * @param key
     * @param fn
     */
    destory(key: string, fn: Function): false | undefined;
}
declare const _default: EventEmit;
export default _default;
