/**
 * ##################################################################
 * # ModuleName: Spin 加载中
 * # catalog: 反馈组件
 * # updateTime: 2020-12-11
 * # auth: Davis
 * #################################################################
 * # Component API新增或修改:
 * # show         SPin的loading状态                @type{string}       @default[false]
 * # text         自定义加载中字符串               @type{boolean}      @default[]
 * # lineStroke   sumscope loading线条颜色         @type{boolean}      @default[#136C5E]
 * # outward      sumscope loading外观大小（直径） @type{boolean}      @default[16]
 * ##################################################################
 * */
import React from 'react';
import { SpinProps } from 'antd/lib/spin';
declare type ssLoadingProps = {
    show?: false;
    text?: string;
    lineStroke?: string | undefined;
    outward?: number | undefined;
};
interface SSSpinProps extends SpinProps {
    ssLoading?: ssLoadingProps;
}
declare const SSSpin: React.FC<SSSpinProps>;
export default SSSpin;
