"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _classnames = _interopRequireDefault(require("classnames"));

var _antd = require("antd");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

var __rest = void 0 && (void 0).__rest || function (s, e) {
  var t = {};

  for (var p in s) {
    if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0) t[p] = s[p];
  }

  if (s != null && typeof Object.getOwnPropertySymbols === "function") for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
    if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i])) t[p[i]] = s[p[i]];
  }
  return t;
};

var TabPane = _antd.Tabs.TabPane;

function SS_Tabs(props) {
  var className = props.className,
      dataSource = props.dataSource,
      theme = props.theme,
      centered = props.centered,
      reset = __rest(props, ["className", "dataSource", "theme", "centered"]);

  return /*#__PURE__*/_react["default"].createElement(_antd.Tabs, _extends({
    className: (0, _classnames["default"])(className, {
      'ss-tabs': theme === 'ss',
      'ss-tabs-center': centered
    })
  }, reset), dataSource.map(function (item) {
    return /*#__PURE__*/_react["default"].createElement(TabPane, {
      key: item.key,
      tab: item.tab,
      disabled: item.disabled
    }, item.render);
  }));
}

SS_Tabs.defaultProps = {
  dataSource: [],
  animated: false
};
var _default = SS_Tabs;
exports["default"] = _default;